# List Teams

> Management API · Teams

```http
GET https://app.mk.io/api/v1/organization/teams
```

Returns details of all Teams.

RBAC Capability Required: `core.team.get`

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Example request

```bash
curl -X GET "https://app.mk.io/api/v1/organization/teams" \
  -H "Authorization: Bearer <token>"
```

## Responses

### 200 — A list of all teams

- `kind` · string · **Required** — The kind of record.
- `value` · list of objects · **Required** — List of teams.
  - Array items (object):
    - `kind` · string · Optional — The kind of record.
    - `metadata` · object · **Required** — Team metadata.
      - `id` · string · **Required** · _format: uuid_ — The ID of the resource
      - `name` · string · Optional — The name of the resource
    - `spec` · object · **Required** — Team specification.
      - `description` · string · Optional · _0-256 characters_ — A description of the team.
      - `members` · map from strings to object · Optional — The list of members.
        - `[any key]` · object — map of additional properties
          - `email` · string · **Required** — The email address of the team member
          - `isTeamAdmin` · boolean · **Required** — Does this user have the ability to edit this team
          - `name` · string · **Required** — The name of the team member
      - `scopes` · map from strings to object · Optional — The set of scopes this team has access to, and the roles on each.
        - `[any key]` · object — map of additional properties
          - `roles` · list of strings · **Required** — The names of the roles.
            - Array items (string):

Example:

```json
{
  "kind": "string",
  "value": [
    {
      "kind": "string",
      "metadata": {
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "string"
      },
      "spec": {
        "description": "string",
        "members": {
          "user-id": {
            "isTeamAdmin": true
          }
        },
        "scopes": {
          "scopeName": {
            "roles": [
              "roleName",
              "roleName2"
            ]
          }
        }
      }
    }
  ]
}
```

### 400 — Bad Request

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 401 — Unauthorized

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 403 — Forbidden

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 404 — Not Found

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 429 — Too Many Requests

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 500 — Internal Server Error

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

---

Source spec: `management-api` · operationId: `[get]_/api/v1/organization/teams`
